> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check user registration

> Check whether a user with the given email is registered in the current tenant.



## OpenAPI

````yaml /openapi.json post /api/svc/v1/users/is-registered
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: app.truefoundry.com
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: Logs
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
paths:
  /api/svc/v1/users/is-registered:
    post:
      tags:
        - Users
      summary: Check user registration
      description: >-
        Check whether a user with the given email is registered in the current
        tenant.
      operationId: User.checkUserRegistered
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckUserRegisteredDto'
      responses:
        '200':
          description: Registration status of the user.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckUserRegisteredResponse'
      security:
        - jwt: []
components:
  schemas:
    CheckUserRegisteredDto:
      type: object
      properties:
        email:
          type: string
          description: Email address to check registration status for.
          example: user@example.com
      required:
        - email
      title: CheckUserRegisteredDto
      x-fern-type-name: CheckUserRegisteredDto
    CheckUserRegisteredResponse:
      type: object
      properties:
        isRegistered:
          type: boolean
          description: True if the user is registered in the current tenant.
      required:
        - isRegistered
      title: CheckUserRegisteredResponse
      x-fern-type-name: CheckUserRegisteredResponse
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````